<?php
	
	if( slash_admin( 'editors_allow_menus' ) || slash_admin( 'editors_allow_widgets' ) || slash_admin( 'editors_allow_customizer' ) || slash_admin( 'editors_allow_background' ) == 1 ) {
		
		// Allow editors to view theme options
		function slashadmin_add_caps() {
			$role = get_role( 'editor' );
			if ( !$role->has_cap( 'edit_theme_options' ) ) {
				$role->add_cap( 'edit_theme_options' ); 
			}
		}
		add_action( 'admin_init', 'slashadmin_add_caps');

		// Call the script that hides the unwanted options from the Admin interface
		function editors_allow_scripts() {
			
				if( !current_user_can('activate_plugins') && is_user_logged_in() ) { // Check if current user is an administrator. If not:
					// Call the editors-allow.js script
					wp_enqueue_script( 'editors-allow-scripts', plugins_url( 'js/editors-allow.js' , dirname(__FILE__) ), array('jquery'), '1.0', true );
					// Set the variables
					$themes = 'li#menu-appearance.wp-has-submenu li a[href="themes.php"]';
					$submenu = 'li#menu-appearance.wp-has-submenu a.wp-has-submenu';
					$themes_front = 'li#wp-admin-bar-themes';

					if( slash_admin( 'editors_allow_menus' ) == 0 ) {
						$menus = 'li#menu-appearance.wp-has-submenu li a[href="nav-menus.php"]';
						$menus_front = 'li#wp-admin-bar-menus';
					} else {
						$menus = '';
						$menus_front = '';
					}
					if( slash_admin( 'editors_allow_widgets' ) == 0 ) {
						$widgets = 'li#menu-appearance.wp-has-submenu li a[href="widgets.php"]';
						$widgets_front = 'li#wp-admin-bar-widgets';
					} else {
						$widgets = '';
						$widgets_front = '';
					}
					if( slash_admin( 'editors_allow_customizer' ) == 0 ) {
						$customizer = 'li#menu-appearance.wp-has-submenu li a[href="customize.php"]';
						$customizer_front = 'li#wp-admin-bar-customize';
					} else {
						$customizer = '';
						$customizer_front = '';
					}
					if( slash_admin( 'editors_allow_background' ) == 0 ) {
						$background = 'li#menu-appearance.wp-has-submenu li a[href="themes.php?page=custom-background"]';
						$background_front = 'li#wp-admin-bar-background';
					} else {
						$background = '';
						$background_front = '';
					}
					$params = array(
						'themes'		=> $themes,
						'submenu'		=> $submenu,
						'menus' 		=> $menus,
						'widgets'		=> $widgets,
						'customize' 	=> $customizer,
						'bg'			=> $background,
						'themes_f'		=> $themes_front,
						'menus_f'		=> $menus_front,
						'widgets_f' 	=> $widgets_front,
						'customize_f' 	=> $customizer_front,
						'bg_f'	=> $background_front,

					);
					// Pass the variables to the script via wp_localize_script
					wp_localize_script( 'editors-allow-scripts', 'editorsAllow', $params );

				} // if( !current_user_can('activate_plugins') )

		} // function editors_allow_scripts()
		
		// Enqueue the script on both backend and frontend
		add_action( 'admin_enqueue_scripts', 'editors_allow_scripts' );
		add_action( 'wp_enqueue_scripts', 'editors_allow_scripts' );	

	} else {
		// If no option is selected and if the editor has access to the theme options, revoke that access
		function slashadmin_remove_caps() {
			$role = get_role( 'editor' );
			if ( $role->has_cap( 'edit_theme_options' ) ) {
				$role->remove_cap( 'edit_theme_options' ); 
			}
		}
		add_action( 'admin_init', 'slashadmin_remove_caps');
	}
?>